GNU bug report logs - #23508
25.1.50; make-network-process fails on :service t

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: mola mola <mola@HIDDEN>; merged with #23540; dated Tue, 10 May 2016 16:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed indication that bug 23508 blocks Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23508 <at> debbugs.gnu.org:


Received: (at 23508) by debbugs.gnu.org; 15 Jul 2016 18:30:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 14:30:07 2016
Received: from localhost ([127.0.0.1]:53253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bO7sE-0004je-Oz
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2016 14:30:07 -0400
Received: from mail6.webfaction.com ([74.55.86.74]:53767
 helo=smtp.webfaction.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joe@HIDDEN>) id 1bO7AV-0003eR-UT
 for 23508 <at> debbugs.gnu.org; Fri, 15 Jul 2016 13:44:56 -0400
Received: from mail-vk0-f41.google.com (mail-vk0-f41.google.com
 [209.85.213.41])
 by smtp.webfaction.com (Postfix) with ESMTP id D1269210B28F
 for <23508 <at> debbugs.gnu.org>; Fri, 15 Jul 2016 17:44:53 +0000 (UTC)
Received: by mail-vk0-f41.google.com with SMTP id w127so106631185vkh.2
 for <23508 <at> debbugs.gnu.org>; Fri, 15 Jul 2016 10:44:53 -0700 (PDT)
X-Gm-Message-State: ALyK8tLr92Nt+ziaAMXydwNiWDL5ugDABUyYH7VvKRrvGng8/mlxNX2ZW9o6eewRU3pybicH21RAV9UqMi6YpQ==
X-Received: by 10.31.83.134 with SMTP id h128mr11170446vkb.75.1468604692661;
 Fri, 15 Jul 2016 10:44:52 -0700 (PDT)
MIME-Version: 1.0
References: <CAFyQvY1FA9VSL33At+4Q4K0BFOHScGqrd=-o5ZmvKrYEf26+3w@HIDDEN>
In-Reply-To: <CAFyQvY1FA9VSL33At+4Q4K0BFOHScGqrd=-o5ZmvKrYEf26+3w@HIDDEN>
From: Joe Schafer <joe@HIDDEN>
Date: Fri, 15 Jul 2016 17:44:43 +0000
X-Gmail-Original-Message-ID: <CAOGO9CrNZtWiwDnT2wAGcQDc1FtaPAiMagVgEo9yzEN4mw=PmA@HIDDEN>
Message-ID: <CAOGO9CrNZtWiwDnT2wAGcQDc1FtaPAiMagVgEo9yzEN4mw=PmA@HIDDEN>
Subject: Re: 25.1.50; make-network-process fails on :service t
To: Kaushal Modi <kaushal.modi@HIDDEN>, 23508 <at> debbugs.gnu.org, 
 Lars Ingebrigtsen <larsi@HIDDEN>, matthew@HIDDEN
Content-Type: multipart/alternative; boundary=001a114e52f8058e940537b02d30
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 23508
X-Mailman-Approved-At: Fri, 15 Jul 2016 14:30:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--001a114e52f8058e940537b02d30
Content-Type: text/plain; charset=UTF-8

If I set :nowait to nil, make-network-process works with :service t on Emacs25
(25.1.50.2 2016-07-03).

On Fri, Jul 15, 2016 at 5:04 AM Kaushal Modi <kaushal.modi@HIDDEN> wrote:

> Hi all,
>
> I was trying out the esup[1] package when I stumbled upon the exact same
> make-network-process error[2] in this debbugs.
>
> I am copying Lars and Matthew on this thread hoping that they have an
> insight into what might be causing this, based on the commit history[3].
>
> [1]: https://github.com/jschaf/esup
> [2]: https://github.com/jschaf/esup/issues/25#issuecomment-232932617
> [3]:
> http://git.savannah.gnu.org/cgit/emacs.git/log/?qt=grep&q=make-network-process
>
> --
>
> Kaushal Modi
>

--001a114e52f8058e940537b02d30
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">If I set :nowait to nil, make-network-process works with :=
service t on=C2=A0<span style=3D"color:rgb(47,51,55);font-family:arial,&quo=
t;helvetica neue&quot;,helvetica,sans-serif;font-size:15px">Emacs25 (25.1.5=
0.2 2016-07-03).=C2=A0</span></div><br><div class=3D"gmail_quote"><div dir=
=3D"ltr">On Fri, Jul 15, 2016 at 5:04 AM Kaushal Modi &lt;<a href=3D"mailto=
:kaushal.modi@HIDDEN">kaushal.modi@HIDDEN</a>&gt; wrote:<br></div><bl=
ockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #=
ccc solid;padding-left:1ex"><div dir=3D"ltr">Hi all,<div><br></div><div>I w=
as trying out the esup[1] package when I stumbled upon the exact same make-=
network-process error[2] in this debbugs.</div><div><br></div><div>I am cop=
ying Lars and Matthew on this thread hoping that they have an insight into =
what might be causing this, based on the commit history[3].</div><div><br><=
/div><div>[1]:=C2=A0<a href=3D"https://github.com/jschaf/esup" target=3D"_b=
lank">https://github.com/jschaf/esup</a></div><div>[2]:=C2=A0<a href=3D"htt=
ps://github.com/jschaf/esup/issues/25#issuecomment-232932617" target=3D"_bl=
ank">https://github.com/jschaf/esup/issues/25#issuecomment-232932617</a><br=
><div>[3]:=C2=A0<a href=3D"http://git.savannah.gnu.org/cgit/emacs.git/log/?=
qt=3Dgrep&amp;q=3Dmake-network-process" target=3D"_blank">http://git.savann=
ah.gnu.org/cgit/emacs.git/log/?qt=3Dgrep&amp;q=3Dmake-network-process</a></=
div><div><br></div></div></div><div dir=3D"ltr">-- <br></div><div data-smar=
tmail=3D"gmail_signature"><div dir=3D"ltr"><p dir=3D"ltr">Kaushal Modi</p>
</div></div>
</blockquote></div>

--001a114e52f8058e940537b02d30--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23508; Package emacs. Full text available.

Message received at 23508 <at> debbugs.gnu.org:


Received: (at 23508) by debbugs.gnu.org; 15 Jul 2016 18:21:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 14:21:54 2016
Received: from localhost ([127.0.0.1]:53240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bO7kI-0004Wf-Ar
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2016 14:21:54 -0400
Received: from mail-oi0-f44.google.com ([209.85.218.44]:36723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1bO7kF-0004WR-6y
 for 23508 <at> debbugs.gnu.org; Fri, 15 Jul 2016 14:21:52 -0400
Received: by mail-oi0-f44.google.com with SMTP id w18so174951592oiw.3
 for <23508 <at> debbugs.gnu.org>; Fri, 15 Jul 2016 11:21:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=LOuJAz0JwEwXth3w2oUEQ64QzdnkOj5HLzESwQo5Bys=;
 b=ANaEdYRhQdHHrUTLx19mzFlmJcj9K4JihVkuKOTjzXQdXXw0572JNCiJUbKVnIS58N
 SWpJma+9C2eKtYeV2RctwEGdgKeQ2FumlXCdf5jo/yUpphMRwFOjIQzzWhJ9sJqz5bms
 /RXYCcccbLEWfWLpfsIfi3LEX39ITBcPtlBPixDo2zeefORw1X8+KTpAmXGQpGns0ekd
 qtXlyQTtzHRidpgEfEQ1gN3vYJSRD9OcekTuDKUztVkuHX2Z8znNtJh9xQ7KIlu6RPim
 NiU7KCwxg6gr3km9A+3ihU0t3FOnx9Gs+On3WiVe5sMgqdfKGFh6cul3UYL6npGpknb1
 Wj7w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=LOuJAz0JwEwXth3w2oUEQ64QzdnkOj5HLzESwQo5Bys=;
 b=Mlr0kYTmel9mWyJt6dZhIuQ2lt06+QzVfYn+VHa0C/pFUUNG4v6lbLQRKmMMxPL7XN
 D8ZK94+gCtFWCr4qpnNWHJiUJS7txD4HzYarqESqIxIgY2+e4cbRlko4d3nr19ch8r0x
 c7SxHGbRnYCTG0X11m8Yu7F7ZheP3hOxYGy/GmZgT95uUW/mOjY4AXOwOTCD3oYc/DDV
 cqqkBt5EPMhudlr7bmcz44GkhGFFXRAY2WyhNA4rS9IsKnDrBpr5fBLfdDeqMhqF8k3g
 vRGggzTYnZsFkGPbQEmZmbxDRyZYP+0Kt7cZoOO1iY/6g8Im6/tUwDquyFbeyvJPsYJN
 ghDA==
X-Gm-Message-State: ALyK8tIW9vfyE1m0qJicpb2Lyw0FLGFL9d7lITn1nyhhJbV8B/YeoVk2a7VK7JbgQMgsM97y1XPirbL7n3O+2g==
X-Received: by 10.157.9.176 with SMTP id q45mr9579001otd.164.1468606905332;
 Fri, 15 Jul 2016 11:21:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAFyQvY1FA9VSL33At+4Q4K0BFOHScGqrd=-o5ZmvKrYEf26+3w@HIDDEN>
 <CAOGO9CrNZtWiwDnT2wAGcQDc1FtaPAiMagVgEo9yzEN4mw=PmA@HIDDEN>
In-Reply-To: <CAOGO9CrNZtWiwDnT2wAGcQDc1FtaPAiMagVgEo9yzEN4mw=PmA@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Fri, 15 Jul 2016 18:21:35 +0000
Message-ID: <CAFyQvY0yaUy4YHoNms11ox9d9nCCA2i=hCgWe0+TTxjGTX7rfw@HIDDEN>
Subject: Re: 25.1.50; make-network-process fails on :service t
To: Joe Schafer <joe@HIDDEN>, 23508 <at> debbugs.gnu.org, 
 Lars Ingebrigtsen <larsi@HIDDEN>, matthew@HIDDEN
Content-Type: multipart/alternative; boundary=001a113dd6fee8384b0537b0b0af
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23508
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113dd6fee8384b0537b0b0af
Content-Type: text/plain; charset=UTF-8

Thanks Joe,

I confirm this workaround.

On Fri, Jul 15, 2016 at 1:44 PM Joe Schafer <joe@HIDDEN> wrote:

> If I set :nowait to nil, make-network-process works with :service t on Emacs25
> (25.1.50.2 2016-07-03).
>
-- 

Kaushal Modi

--001a113dd6fee8384b0537b0b0af
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thanks Joe,<div><br></div><div>I confirm this workaround.<=
br><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Fri, Jul 15, 2016 at =
1:44 PM Joe Schafer &lt;<a href=3D"mailto:joe@HIDDEN">joe@HIDDEN</a=
>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0=
 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">If I =
set :nowait to nil, make-network-process works with :service t on=C2=A0<spa=
n style=3D"color:rgb(47,51,55);font-family:arial,&quot;helvetica neue&quot;=
,helvetica,sans-serif;font-size:15px">Emacs25 (25.1.50.2 2016-07-03).=C2=A0=
</span></div>
</blockquote></div></div></div><div dir=3D"ltr">-- <br></div><div data-smar=
tmail=3D"gmail_signature"><div dir=3D"ltr"><p dir=3D"ltr">Kaushal Modi</p>
</div></div>

--001a113dd6fee8384b0537b0b0af--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23508; Package emacs. Full text available.

Message received at 23508 <at> debbugs.gnu.org:


Received: (at 23508) by debbugs.gnu.org; 15 Jul 2016 11:57:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 07:57:16 2016
Received: from localhost ([127.0.0.1]:52047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bO1k4-0001iK-2O
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2016 07:57:16 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:33977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1bO1k2-0001i9-QV
 for 23508 <at> debbugs.gnu.org; Fri, 15 Jul 2016 07:57:15 -0400
Received: by mail-oi0-f49.google.com with SMTP id l65so73711231oib.1
 for <23508 <at> debbugs.gnu.org>; Fri, 15 Jul 2016 04:57:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=fM0l3NgN6KTW+fwy7RGtj+s8Dl9UKCC6QaXZnprQ1pY=;
 b=Q2U7bMOd7DZkL/IZbpDi4rXWT73wK5h1C8EQo5qHI0JWSwXNPb7dHBGWxK3aoyjqa3
 wlwjfyHdC2X8x0RzG+OQhXQSMDp4kfLtLvLT5i1ZCxaVAP75g9Mbhh8AaVDwAeKPXD6T
 rC4NHW2gFHKJe8MwPp9fh4DiKnixESU5J/VDMRUemTZW56wuokEYcMasGeGcD2jI5cZL
 sigk2Z9YF6KvSZe2Bth4Auvh6OiVbEXpd1P0bK25TaCigrvoIvoIQ8XEZxR6U0+eYl5S
 FNv3nUmPdqdbC157lXmO1HYLeCyaDCPgthVlVkPFVjZl3uT3cxly0tt120/NX8koO2gX
 meFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=fM0l3NgN6KTW+fwy7RGtj+s8Dl9UKCC6QaXZnprQ1pY=;
 b=R2ha5WplJP5PIudqFhdT0eG5ArkQvSHg2iBXbPNEFxswOYZnEbVwumdBm96FnuxLjW
 aFQrqB9OfySP/FGPaLSu1I4Si8e31ztj54DUwQlizBPfcH416bMqB2dqLnzU2li1Vo6d
 F1Nim1YgT9SEFl74rbzpUcgsExQuz08NF88IlasHjDKzGFzO5zDlRBnI1R90qgimi2t6
 1YlmWzjo8dYVmiahDUrIxjALuVD04NiHiuScErtPtDdweUrEt9v8Lbf6lhPL8hPPGH0m
 /RFB81LCSZWCmI4xTmuXyHKxwXbOm/Ld2KWNgf+mMEtTac5w9IGxlKbOFOEcohvm5UQI
 PjMg==
X-Gm-Message-State: ALyK8tInttQTdSUleNurNBMuLPHN/rfklN0hI2lllkQC6QxI4eawrMU0FWEhAJhkeri2lbeVnoXcjJonphC43g==
X-Received: by 10.157.17.169 with SMTP id v38mr11375239otf.11.1468583828886;
 Fri, 15 Jul 2016 04:57:08 -0700 (PDT)
MIME-Version: 1.0
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Fri, 15 Jul 2016 11:56:59 +0000
Message-ID: <CAFyQvY1FA9VSL33At+4Q4K0BFOHScGqrd=-o5ZmvKrYEf26+3w@HIDDEN>
Subject: 25.1.50; make-network-process fails on :service t
To: 23508 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 matthew@HIDDEN
Content-Type: multipart/alternative; boundary=94eb2c1917a0719c3e0537ab5160
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23508
Cc: joe@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c1917a0719c3e0537ab5160
Content-Type: text/plain; charset=UTF-8

Hi all,

I was trying out the esup[1] package when I stumbled upon the exact same
make-network-process error[2] in this debbugs.

I am copying Lars and Matthew on this thread hoping that they have an
insight into what might be causing this, based on the commit history[3].

[1]: https://github.com/jschaf/esup
[2]: https://github.com/jschaf/esup/issues/25#issuecomment-232932617
[3]:
http://git.savannah.gnu.org/cgit/emacs.git/log/?qt=grep&q=make-network-process

-- 

Kaushal Modi

--94eb2c1917a0719c3e0537ab5160
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi all,<div><br></div><div>I was trying out the esup[1] pa=
ckage when I stumbled upon the exact same make-network-process error[2] in =
this debbugs.</div><div><br></div><div>I am copying Lars and Matthew on thi=
s thread hoping that they have an insight into what might be causing this, =
based on the commit history[3].</div><div><br></div><div>[1]:=C2=A0<a href=
=3D"https://github.com/jschaf/esup">https://github.com/jschaf/esup</a></div=
><div>[2]:=C2=A0<a href=3D"https://github.com/jschaf/esup/issues/25#issueco=
mment-232932617">https://github.com/jschaf/esup/issues/25#issuecomment-2329=
32617</a><br><div>[3]:=C2=A0<a href=3D"http://git.savannah.gnu.org/cgit/ema=
cs.git/log/?qt=3Dgrep&amp;q=3Dmake-network-process">http://git.savannah.gnu=
.org/cgit/emacs.git/log/?qt=3Dgrep&amp;q=3Dmake-network-process</a></div><d=
iv><br></div></div></div><div dir=3D"ltr">-- <br></div><div data-smartmail=
=3D"gmail_signature"><div dir=3D"ltr"><p dir=3D"ltr">Kaushal Modi</p>
</div></div>

--94eb2c1917a0719c3e0537ab5160--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23508; Package emacs. Full text available.
Merged 23508 23540. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2016 16:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:55:28 2016
Received: from localhost ([127.0.0.1]:46108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0AwR-0002gc-5F
	for submit <at> debbugs.gnu.org; Tue, 10 May 2016 12:55:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mola@HIDDEN>) id 1b073g-0003Z3-0j
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 08:46:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mola@HIDDEN>) id 1b073W-0004EB-9K
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 08:46:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53615)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mola@HIDDEN>) id 1b073W-0004E7-5a
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 08:46:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56141)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mola@HIDDEN>) id 1b073O-0006gl-Aa
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 08:46:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mola@HIDDEN>) id 1b073E-0004BM-JK
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 08:46:21 -0400
Received: from mail-pu1apc01on0134.outbound.protection.outlook.com
 ([104.47.126.134]:65205 helo=APC01-PU1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mola@HIDDEN>) id 1b0739-00049W-Gg
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 08:46:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=NETORGFT946711.onmicrosoft.com; s=selector1-molamola-xyz;
 h=From:To:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=8LnO63wWxqCs3i4zDH5AZpKmuTlQUe4AHytFJEqra6U=;
 b=CiAQeWOFAe9poU+kwhzTMxUxLpXrUMoDi71KHEOLIUjm8dwlf8OmEtUflpE6q/bWmRbLdgFcmLduKiPgx8Rpolna0udLGxTh2VM9UwUMjEgB7gPWupRNK7ppaq6dx5cBccr01p0ZRKuIE28vH0EzIR12SKrz3HePNplMEhs4RZo=
Received: from SG2PR01MB0719.apcprd01.prod.exchangelabs.com (10.169.51.153) by
 SG2PR01MB0718.apcprd01.prod.exchangelabs.com (10.169.51.152) with
 Microsoft
 SMTP Server (TLS) id 15.1.492.11; Tue, 10 May 2016 11:13:38 +0000
Received: from SG2PR01MB0719.apcprd01.prod.exchangelabs.com ([10.169.51.153])
 by SG2PR01MB0719.apcprd01.prod.exchangelabs.com ([10.169.51.153])
 with mapi id 15.01.0492.015; Tue, 10 May 2016 11:13:38 +0000
From: mola mola <mola@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 25.1.50; make-network-process fails on :service t
Thread-Topic: 25.1.50; make-network-process fails on :service t
Thread-Index: AQHRqqy+KvaZVd0dokGf7KD1UXixQQ==
Date: Tue, 10 May 2016 11:13:38 +0000
Message-ID: <SG2PR01MB0719B3AE0F403A70F6296743A0710@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=molamola.xyz;
x-originating-ip: [14.136.96.101]
x-ms-office365-filtering-correlation-id: 34ce1e1e-ab89-4578-d1ff-08d378c422e9
x-microsoft-exchange-diagnostics: 1; SG2PR01MB0718;
 5:BJUjXazwJHWs6jjw0/7PInvB/Ft/Sr90bn1bkXC+uGjwWHeL+ChDnr9tbeAZY38HFYEoL+uuSFXaSKLHzVvDRoaVuV0d0avc4RkKQWqcY719e3Tn0SE+K/zoc/7Vyb3kEWS76nuFq3HZvDhKsmWObQ==;
 24:PtkZXHHm1EfbTp+rbcFkspR2JGhPhHYXQEZL8Z3XqWewrybloHDOZXUxw6BjzDH5eGwcvFTrzpiM1NfZyN86aF/ujO/ivKZSYyMseXDJ9jE=;
 7:u48TJqzvIEb763VQPGWbPhb492WTnjBD5IsoJuxJ5LOYEO5R3ehb57w9fqbak1SkiFUloO6HLLnK3eFCngCrJgLcr3keKL+LGC87VHUwyFkKieh4R6rP8o5/uZmDyEOA4ojXTSywbyF+6ZlY+qrGIZyEWw9efiWCU1CRnc3Dbn2FPdj0MbaLneHSmMMXQSZN
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:SG2PR01MB0718;
x-microsoft-antispam-prvs: <SG2PR01MB07185F02075C58156D36AA93A0710@HIDDEN>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(6040130)(601004)(2401047)(5005006)(8121501046)(3002001)(10201501046)(6041072)(6043046);
 SRVR:SG2PR01MB0718; BCL:0; PCL:0; RULEID:; SRVR:SG2PR01MB0718; 
x-forefront-prvs: 0938781D02
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(6009001)(377424004)(50944005)(5423002)(9686002)(5002640100001)(102836003)(3846002)(6116002)(122556002)(5008740100001)(1220700001)(8936002)(450100001)(19580395003)(87936001)(106116001)(230783001)(54356999)(229853001)(50986999)(586003)(11100500001)(16236675004)(110136002)(66066001)(107886002)(2351001)(10400500002)(74316001)(92566002)(86152002)(3660700001)(2906002)(19625215002)(2900100001)(77096005)(86362001)(5640700001)(189998001)(551544002)(81166005)(3280700002)(19627405001)(33656002)(5003600100002)(5004730100002)(2501003)(1500400014)(129723002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:SG2PR01MB0718;
 H:SG2PR01MB0719.apcprd01.prod.exchangelabs.com; FPR:; SPF:None; MLV:ovrnspm;
 PTR:InfoNoRecords; LANG:en; 
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: multipart/alternative;
 boundary="_000_SG2PR01MB0719B3AE0F403A70F6296743A0710SG2PR01MB0719apcp_"
MIME-Version: 1.0
X-OriginatorOrg: molamola.xyz
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2016 11:13:38.1856 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 62c9cca6-14ef-48d4-bfda-96a5dddfef13
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SG2PR01MB0718
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 10 May 2016 12:55:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

--_000_SG2PR01MB0719B3AE0F403A70F6296743A0710SG2PR01MB0719apcp_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.30)
 of 2016-05-09 built on ubuntu
Repository revision: c20cc0986cdade6577d6ce169330db19e2169794
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:    Ubuntu 16.04 LTS

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
Entering debugger...

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS NOTIFY LIBXML2 FREETYPE
M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils debug edmacro kmacro finder-inf package
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev
obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 160686 9061)
 (symbols 48 25447 0)
 (miscs 40 269 204)
 (strings 32 36119 6289)
 (string-bytes 1 970348)
 (vectors 16 19072)
 (vector-slots 8 522924 5107)
 (floats 8 224 52)
 (intervals 56 232 10)
 (buffers 976 13)
 (heap 1024 18327 1206))


(setq testprocess
      (make-network-process :name "test"
                            :host 'local
                            :server t
                            :service t
                            :family 'ipv4))

This works fine on emacs 24. It is not working in emacs 25. In emacs 25, it=
 seems that only string and integer is accepted.

:service service

    service specifies a port number to connect to; or, for a server, the po=
rt number to listen on. It should be a service name that translates to a po=
rt number, or an integer specifying the port number directly. For a server,=
 it can also be t, which means to let the system select an unused port numb=
er.


Backtrace log:
Debugger entered--Lisp error: (error "Invalid argument 4 of operation 'open=
-network-stream'")
  make-network-process(:name "test" :host local :server t :service t :famil=
y ipv4)
  (setq testprocess (make-network-process :name "test" :host (quote local) =
:server t :service t :family (quote ipv4)))
  eval((setq testprocess (make-network-process :name "test" :host (quote lo=
cal) :server t :service t :family (quote ipv4))) nil)
  elisp--eval-last-sexp(nil)
  eval-last-sexp(nil)
  funcall-interactively(eval-last-sexp nil)
  call-interactively(eval-last-sexp nil nil)
   command-execute(eval-last-sexp)


--_000_SG2PR01MB0719B3AE0F403A70F6296743A0710SG2PR01MB0719apcp_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-=
1">
<style type=3D"text/css" style=3D"display:none;"><!-- P {margin-top:0;margi=
n-bottom:0;} --></style>
</head>
<body dir=3D"ltr">
<div id=3D"divtagdefaultwrapper" style=3D"font-size:12pt;color:#000000;back=
ground-color:#FFFFFF;font-family:Calibri,Arial,Helvetica,sans-serif;">
<p></p>
<div>In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, GTK&#43; Version 2.24.30)=
<br>
&nbsp;of 2016-05-09 built on ubuntu<br>
Repository revision: c20cc0986cdade6577d6ce169330db19e2169794<br>
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000<=
br>
System Description:&nbsp;&nbsp; &nbsp;Ubuntu 16.04 LTS<br>
<br>
Recent messages:<br>
For information about GNU Emacs and the GNU system, type C-h C-a.<br>
Mark set<br>
Entering debugger...<br>
<br>
Configured features:<br>
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS NOTIFY LIBXML2 FREETYPE<br>
M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11<br>
<br>
Important settings:<br>
&nbsp; value of $LANG: en_US.UTF-8<br>
&nbsp; value of $XMODIFIERS: @im=3Dibus<br>
&nbsp; locale-coding-system: utf-8-unix<br>
<br>
Major mode: Debugger<br>
<br>
Minor modes in effect:<br>
&nbsp; tooltip-mode: t<br>
&nbsp; global-eldoc-mode: t<br>
&nbsp; electric-indent-mode: t<br>
&nbsp; mouse-wheel-mode: t<br>
&nbsp; tool-bar-mode: t<br>
&nbsp; menu-bar-mode: t<br>
&nbsp; file-name-shadow-mode: t<br>
&nbsp; global-font-lock-mode: t<br>
&nbsp; font-lock-mode: t<br>
&nbsp; blink-cursor-mode: t<br>
&nbsp; auto-composition-mode: t<br>
&nbsp; auto-encryption-mode: t<br>
&nbsp; auto-compression-mode: t<br>
&nbsp; buffer-read-only: t<br>
&nbsp; line-number-mode: t<br>
&nbsp; transient-mark-mode: t<br>
<br>
Load-path shadows:<br>
None found.<br>
<br>
Features:<br>
(shadow sort mail-extr emacsbug message puny dired dired-loaddefs<br>
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail<br>
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231<br>
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums<br>
mm-util mail-prsvr mail-utils debug edmacro kmacro finder-inf package<br>
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core<br>
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp<br>
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib<br>
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks<br>
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar<br>
dnd fontset image regexp-opt fringe tabulated-list newcomment elisp-mode<br=
>
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select<br>
scroll-bar mouse jit-lock font-lock syntax facemenu font-core<br>
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang<br>
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932<br>
hebrew greek romanian slovak czech european ethiopic indian cyrillic<br>
chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev<br>
obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face<br>
macroexp files text-properties overlay sha1 md5 base64 format env<br>
code-pages mule custom widget hashtable-print-readable backquote<br>
dbusbind inotify dynamic-setting system-font-setting font-render-setting<br=
>
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)<br>
<br>
Memory information:<br>
((conses 16 160686 9061)<br>
&nbsp;(symbols 48 25447 0)<br>
&nbsp;(miscs 40 269 204)<br>
&nbsp;(strings 32 36119 6289)<br>
&nbsp;(string-bytes 1 970348)<br>
&nbsp;(vectors 16 19072)<br>
&nbsp;(vector-slots 8 522924 5107)<br>
&nbsp;(floats 8 224 52)<br>
&nbsp;(intervals 56 232 10)<br>
&nbsp;(buffers 976 13)<br>
&nbsp;(heap 1024 18327 1206))<br>
<br>
<br>
(setq testprocess<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (make-network-process :name &quot;test&quot;=
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; :host 'local<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; :server t<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; :service t<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; :family 'ipv4))<br>
<br>
This works fine on emacs 24. It is not working in emacs 25. In emacs 25, it=
 seems that only string and integer is accepted.<br>
<br>
:service service<br>
<br>
&nbsp;&nbsp;&nbsp; service specifies a port number to connect to; or, for a=
 server, the port number to listen on. It should be a service name that tra=
nslates to a port number, or an integer specifying the port number directly=
. For a server, it can also be t, which means to
 let the system select an unused port number.<br>
<br>
<br>
Backtrace log:<br>
Debugger entered--Lisp error: (error &quot;Invalid argument 4 of operation =
&#8216;open-network-stream&#8217;&quot;)<br>
&nbsp; make-network-process(:name &quot;test&quot; :host local :server t :s=
ervice t :family ipv4)<br>
&nbsp; (setq testprocess (make-network-process :name &quot;test&quot; :host=
 (quote local) :server t :service t :family (quote ipv4)))<br>
&nbsp; eval((setq testprocess (make-network-process :name &quot;test&quot; =
:host (quote local) :server t :service t :family (quote ipv4))) nil)<br>
&nbsp; elisp--eval-last-sexp(nil)<br>
&nbsp; eval-last-sexp(nil)<br>
&nbsp; funcall-interactively(eval-last-sexp nil)<br>
&nbsp; call-interactively(eval-last-sexp nil nil)<br>
&nbsp;&nbsp; command-execute(eval-last-sexp)</div>
<br>
<p></p>
</div>
</body>
</html>

--_000_SG2PR01MB0719B3AE0F403A70F6296743A0710SG2PR01MB0719apcp_--




Acknowledgement sent to mola mola <mola@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23508; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 10 Oct 2016 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.